LINUX.ORG.RU

Для видеочипов R600/700 появилась поддержка OpenGL 2.1 в FOSS драйверах

 ,


0

0

Разработчики видеодрайверов для видеочипов производства ATI добавили поддержку OpenGL 2.1 через классическую Mesa. Также стоит обратить внимание на данную таблицу. Из таблицы можно сделать следующие выводы о состоянии FOSS драйверов для видеочипов ATI:

  • В текущий момент нет полнофункционального драйвера ни для одного видеочипа
  • Наиболее функциональны драйверы у чипов R300/400/500
  • Для чипов R300/400/500 реализована поддержка OpenGL 2.1 (через Gallium3D), также поддерживается Texture Tiling, управление энергопотреблением (за исключением чипа R300, для которого пока нет поддержки изменения частоты памяти), Suspend, Dual-link DVI и TV выход
  • Практически полностью реализованы технологии Hyper-Z, GLSL и HDMI Audio
  • В текущий момент программисты работают над поддержкой VDPAU, VA-API, XvMC (используя Gallium3D) и Anti-aliasing
  • Для чипа R100 реализована поддержка OpenGL 1.3 и TV Out, технология Texture Tiling практически реализована, Hyper-Z помечен как «WIP», также не поддерживается VDPAU, VA-API, XvMC и изменение частоты видеопамяти (реализация поддержки остальных технологий также завершена полностью, как для R300/400/500)
  • Ситуация с чипом R200 аналогична с R100, за исключением того, что за реализацию технологии Hyper-Z разработчики ещё не приступали
  • Для чипов R600/700 реализована поддержка OpenGL 2.1 (через классическую Mesa), DisplayPort, TV out, Dual-link DVI, HDMI audio и энергосбережение. Реализация Texture Tiling помечена как «WIP», а VDPAU, VA-API, XvMC, Anti-aliasing и Hyper-Z помечены как «TODO»
  • Для чипов R800 пока что реализована поддержка только 2D

>>> Подробности

★★★★★

Проверено: svu ()

Ответ на: комментарий от KPSS

Вообще если честно, то нахожу ваше сообщение логически глупым, ибо совершенно понятно что поддержки crossfire мы в опенсорс драйверах не дождемся никогда, а частоты ядра у 5970 будут пониже чем у 5870 на добрую сотню+, а значит самым производительным в линуксе. на опенсорсных драйверах будет не 5970, а 5870.

B084 ★★ ()

OpenGL renderer string: Mesa DRI R600 (RV630 9588) 20090101 x86/MMX+/3DNow!+/SSE2 TCL DRI2 OpenGL version string: 2.0 Mesa 7.8.2

anonymous ()
OpenGL renderer string: Mesa DRI R600 (RS880 9710) 20090101 x86/MMX+/3DNow!+/SSE2 TCL DRI2
OpenGL version string: 2.1 Mesa 7.9-devel
daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666
Unigine fatal error
Engine::init(): clear video settings for "Mesa DRI R600 (RS880 9710) 20090101 x86/MMX+/3DNow!+/SSE2 TCL DRI2 2.1 Mesa 7.9-devel"
GLRender::GLRender(): Unknown GPU
GLRender::require_extension(): required extension GL_ARB_map_buffer_range is not supported
Shutdown
daemonpnz ★★★★★ ()

Так это что же значит теперь на моем ноуте c HD 4330 (RV710) будет энергосбережение? Годно!

DreamDragon ()
Ответ на: комментарий от anon_666

>Unigine Heaven Benchmark 2.1 запускается?

нет, в mesa нет нужных расширений

TheMixa ★★★ ()

OpenGL vendor string: Advanced Micro Devices, Inc.

OpenGL renderer string: Mesa DRI R600 (RV630 9588) 20090101 x86/MMX+/3DNow!+/SSE2 TCL DRI2

OpenGL version string: 2.1 Mesa 7.9-devel

OpenGL shading language version string: 1.20

anonymous ()
Ответ на: комментарий от Reset

> свободный открытый.

полуфункциональный.

А ати нет ни полнофункционального ни свободного драйвера.

У меня этот драйвер работает нормально только при включенном компизе - в метасити работать невозможно :( У NV проприетарный гораздо лучше, тут и не поспоришь

wenzel ()

Надежда на Radeon HD есть хотя бы какая-то. Пусть не новейшие карты, но та же интегрированная графика всегда отстаёт на 1-полпоколения и если в ней будет работать 3D (а интегрированная графика у AMD хорошая), то уже слава богу. На fglrx у меня надежды нет.

Vudod ★★★★★ ()

Лишний раз порадовался что слез с железок этой компании.

Hawkeye ()
Ответ на: комментарий от daemonpnz

>GL_ARB_map_buffer_range

Это функция как раз из OpenGL 2.1, так что:

OpenGL version string: 2.1 Mesa 7.9-devel

это лютый 4.2.

anon_666 ()

Достали ati-фанбои - у них запускается 2-3 программки на gl, но они с гордостью постят, де вот в mesa есть поддержка gl 2.1..

anon_666 ()
Ответ на: комментарий от daemonpnz

Всё верно, mesa 2.1 != gl 2.1, и очень не скоро им станет -> нефиг понтоваться.

anon_666 ()
Ответ на: комментарий от anon_666

Не звезди, товарищ. mesa 7.9 сейчас в разработке, включили часть функций из gl 2.1, прибавили 1 к минорной версии gl, разрабатывают дальше. К релизу запилят 2.1 окончательно. В чем проблема то? Или НГМ уже жмет на черепную коробку?

daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666

Меня интересует пройдёт ли оно opengl conformance test, а не то, что там реализовано десять ф-й из 1.4, шесть из 2.0, три из 2.1, etc..

anon_666 ()
Ответ на: комментарий от anon_666

Ты читаешь то, что тебе пишут, или просто троллишь тут?

PS. Максимальная?! NO WAI

daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666

> Достали ati-фанбои - у них запускается 2-3 программки на gl

на проприетарном много чего запускается. А разве свободный драйвер nv намного лучше свободного атишного?

wenzel ()
Ответ на: комментарий от daemonpnz

Меня достали неадекваты. Когда я говорю, что свободный драйвер малофункционален - они постят OpenGL version string: 666.666 Mesa 7.9 УМВР, хотя оно нифига не работает..

anon_666 ()
Ответ на: комментарий от wenzel

>на проприетарном много чего запускается

Я не спорю, хотя у меня и он глючил.

anon_666 ()
Ответ на: комментарий от daemonpnz

>Ты читаешь то, что тебе пишут, или просто троллишь тут?

А вы?

anon_666 ()
Ответ на: комментарий от anon_666

Так, давай по пунктам.
Свое

OpenGL version string: 666.666 Mesa 7.9
я запостил показать анонимусу, что gl таки подрос в версии и что у него старый git снапшот.
Про УМВР я тебе ничего не писал. Если ты это где-то видел, то это плод твоего больного воображения.

daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666

Еще раз скажу, что это devel. Когда будет релиз, тогда и предъявляйте претензии.

daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666

Перевожу - если там не реализована хоть одна ф-я, входящая в стандарт - говорить о том, что версия GL подросла - нельзя.

anon_666 ()
Ответ на: комментарий от daemonpnz

Там и из более старых версий Gl не всё есть - так что сколько ещё ждать - не известно.

anon_666 ()
Ответ на: комментарий от anon_666

Перевожу, если это devel сборка, то ваши высеры бессмыслены.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

>Когда будет релиз, тогда и предъявляйте претензии.

Будет время - так и поступлю, ок.

anon_666 ()
Ответ на: комментарий от anon_666

покажи мне недевел месу на ати, где хотя бы написано gl 2.1?

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

А вот поищи сам, мне достаточно что на карточке с gl 1.4 программы, требующие 1.4 не запускаются.

anon_666 ()
Ответ на: комментарий от anon_666

пруфы, али ты под вайном запускаешь?!

Кстати, в галлиуме с gl 2.1 получше будет, но UE 2.1 так и не пущается.

daemonpnz ★★★★★ ()
Ответ на: комментарий от anon_666

>Достали ati-фанбои - у них запускается 2-3 программки на gl, но они с гордостью постят, де вот в mesa есть поддержка gl 2.1..

Какоето обострение? фанбои порадовались что работа движется, а комуто даже эти результаты показались полезными. Больше фанбоям и не надо.

Вы же как профи(надеюсь не задрот-игрун) работающий с 3D графикой тут разводите антимонию то вам не то это не то.... Никто вам ничего не обещает. Глупо реализовывать по принципу умри но добавь весь стандарт если те открытые приложения которые есть не используют/не собираются использовать все расширения.

TheMixa ★★★ ()

В репах генты описываемые дровишки

eix ?чем?
будут находиться?

Napilnik ★★★★★ ()
Ответ на: комментарий от TheMixa

>Глупо реализовывать по принципу умри но добавь весь стандарт

Кармак с вами несогласен. [/discuss]

anon_666 ()
Ответ на: комментарий от anon_666

Прогоните для начала нечто вроде этого, тогда и поговорим.

Цитата

Программа просмотра сведений об OpenGL драйвере видеокарты и тестирования OpenGL.

Системные требования:
* Операционная система Windows XP/XP-64/2003/Vista/7, MacOS 10.2+ (PPC и x86)
* Установленный в системе пакет библиотек .NET FrameWork версии 2.0 для Windows

.NET FrameWork

Ну ты понел

Zodd ★★★★ ()

Горжусь АТИ.jpg

// нвидиятролль

lester_dev ★★★★★ ()
Ответ на: комментарий от B084

> совершенно понятно что поддержки crossfire мы в опенсорс драйверах не дождемся никогда

Почему?

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.